import { OnInit, ElementRef, Renderer2, AfterViewInit, EventEmitter, OnChanges, ChangeDetectorRef } from '@angular/core';
import { DefaultEditorDirective } from '../../../lib/editor-cell-default';
import { Row } from '../../../lib/data-set/row';
import * as i0 from "@angular/core";
export declare class SelectEditorComponent extends DefaultEditorDirective implements OnInit, AfterViewInit, OnChanges {
    private element;
    private renderer;
    private cdr;
    open: boolean;
    pick: any;
    items: any[];
    formEditorPicklist: HTMLElement;
    disabled: boolean;
    selectedElem: EventEmitter<any>;
    constructor(element: ElementRef, renderer: Renderer2, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnChanges(): void;
    get pickLabel(): any;
    onClickDropdownButton(evt: any): void;
    optionPicked(row: Row, name: string): void;
    checkValidityAndShow(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SelectEditorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SelectEditorComponent, "select-editor", never, {}, { "selectedElem": "selectedElem"; }, never, never, false>;
}
